cdac.medinfo.sdk.hl7282.baselibs.segments

## Class ACC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.ACC

- All Implemented Interfaces:
    ISegment

      public class ACC
      extends Segment

  ACC - Accident Segment

  The Class represents,ACC segment which contains patient information relative to an accident in which the patient has been involved.

  Represents an HL7 ACC message segment. This segment has the following fields:

  ACC-1: Accident Date/Time (DTM)Optional
  ACC-2: Accident Code (CWE)Optional
  ACC-3: Accident Location (ST)Optional
  ACC-4: Auto Accident State (CWE)Backward
  ACC-5: Accident Job Related Indicator (ID)Optional
  ACC-6: Accident Death Indicator (ID)Optional
  ACC-7: Entered By (XCN)Optional
  ACC-8: Accident Description (ST)Optional
  ACC-9: Brought In By (ST)Optional
  ACC-10: Police Notified Indicator (ID)Optional
  ACC-11: Accident Address (XAD)Optional
  ACC-12: Degree of patient liability (NM)Optional
  ACC-13: Accident Identifier (EI)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ACC()` Constructs the ACC segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAccidentIdentifier(EI objAccidentIdentifier)` Add the Accident Identifier.
    `void` | `addAccidentIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Add the Accident Identifier.
    `XAD` | `getAccidentAddress()` Retrieves the Accident Address.
    `CWE` | `getAccidentCode()` Retrieves the Accident Code.
    `DTM` | `getAccidentDateOrTime()` Retrieves the Accident Date Or Time.
    `ID` | `getAccidentDeathIndicator()` Retrieves the Accident Death Indicator.
    `ST` | `getAccidentDescription()` Retrieves the Accident Description./
    `ISingleCollection<EI>` | `getAccidentIdentifier()` Retrieves the Accident Identifier.
    `ID` | `getAccidentJobRelatedIndicator()` Retrieves the Accident Job Related Indicator.
    `ST` | `getAccidentLocation()` Retrieves the Accident Location.
    `CWE` | `getAutoAccidentState()` Retrieves the Auto Accident State.
    `ST` | `getBroughtInBy()` Retrieves the Brought In By.
    `NM` | `getDegreeOfPatientliability()` Retrieves the Degree of patient liability.
    `NM` | `getDegreeOfPatientLiability()` Retrieves the Degree of patient liability.
    `XCN` | `getEnteredBy()` Retrieves the Entered By.
    `ID` | `getPoliceNotifiedIndicator()` Retrieves the Police Notified Indicator.
    `void` | `setAccidentAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Accident Address.
    `void` | `setAccidentAddress(XAD accidentAddress)` Set the Accident Address.
    `void` | `setAccidentCode(CWE accidentCode)` Set the Accident Code.
    `void` | `setAccidentCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)`
    `void` | `setAccidentDateOrTime(DTM accidentDateOrTime)` Set the Accident Date Or Time.
    `void` | `setAccidentDateOrTime(java.lang.String strTime)` Set the Accident Date Or Time.
    `void` | `setAccidentDeathIndicator(ID accidentDeathIndicator)` Set the Accident Death Indicator.
    `void` | `setAccidentDeathIndicator(java.lang.String strAccidentDeathIndicator)` Set the Accident Death Indicator.
    `void` | `setAccidentDescription(ST accidentDescription)` Set the Accident Description.
    `void` | `setAccidentDescription(java.lang.String strAccidentDecription)` Set the Accident Description.
    `void` | `setAccidentIdentifier(ISingleCollection<EI> objAccidentIdentifierList)` Set the Accident Identifier.
    `void` | `setAccidentJobRelatedIndicator(ID accidentJobRelatedIndicator)` Set the Accident Job Related Indicator.
    `void` | `setAccidentJobRelatedIndicator(java.lang.String strAccidentJobRelatedIndicator)` Set the Accident Job Related Indicator.
    `void` | `setAccidentLocation(ST accidentLocation)` Set the Accident Location.
    `void` | `setAccidentLocation(java.lang.String strAccidentLocation)` Set the Accident Location.
    `void` | `setAutoAccidentState(CWE autoAccidentState)` Set the Auto Accident State.
    `void` | `setAutoAccidentState(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Auto Accident State.
    `void` | `setBroughtInBy(ST broughtInBy)` Set the Brought In By.
    `void` | `setBroughtInBy(java.lang.String strBroughtInBy)` Set the Brought In By.
    `void` | `setDegreeOfPatientliability(NM objDegreeOfPatientliability)` Set the Degree of patient liability.
    `void` | `setDegreeOfPatientLiability(NM objDegreeOfPatientLiability)` Set the Degree of patient liability.
    `void` | `setDegreeOfPatientliability(java.lang.String strAmount)` Set the Degree of patient liability.
    `void` | `setDegreeOfPatientLiability(java.lang.String strDegreeOfPatientLiability)` Set the Degree of patient liability.
    `void` | `setEnteredBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Entered By.
    `void` | `setEnteredBy(XCN enteredBy)` Set the Entered By.
    `void` | `setPoliceNotifiedIndicator(ID policeNotifiedIndicator)` Set the Police Notified Indicator.
    `void` | `setPoliceNotifiedIndicator(java.lang.String strPoloceNotifiedIndicator)` Set the Police Notified Indicator.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ACC

          public ACC()

      Constructs the ACC segment.

  - ### Method Detail

    - #### getAccidentAddress

          public XAD getAccidentAddress()

      Retrieves the Accident Address.
      Returns:
        XAD - accidentAddress

    - #### getAccidentCode

          public CWE getAccidentCode()

      Retrieves the Accident Code.
      Returns:
        CWE - accidentCode

    - #### getAccidentDateOrTime

          public DTM getAccidentDateOrTime()

      Retrieves the Accident Date Or Time.
      Returns:
        DTM - accidentDateOrTime

    - #### getAccidentDeathIndicator

          public ID getAccidentDeathIndicator()

      Retrieves the Accident Death Indicator. This field which indicates whether or not a patient has died as a result of an accident.
      Returns:
        String - accidentDeathIndicator

    - #### getAccidentDescription

          public ST getAccidentDescription()

      Retrieves the Accident Description./
      Returns:
        String - accidentDescription

    - #### getAccidentJobRelatedIndicator

          public ID getAccidentJobRelatedIndicator()

      Retrieves the Accident Job Related Indicator. This field indicates if the accident is related to a job.
      Returns:
        String - accidentJobRelatedIndicator

    - #### getAccidentLocation

          public ST getAccidentLocation()

      Retrieves the Accident Location.
      Returns:
        String - accidentLocation

    - #### getAutoAccidentState

          public CWE getAutoAccidentState()

      Retrieves the Auto Accident State. This field specify the state in which the auto accident occurred.
      Returns:
        CWE - autoAccidentState

    - #### getBroughtInBy

          public ST getBroughtInBy()

      Retrieves the Brought In By. This field is for the person or organization that brought in the patient.
      Returns:
        String - broughtInBy

    - #### getEnteredBy

          public XCN getEnteredBy()

      Retrieves the Entered By.
      Returns:
        XCN - enteredBy

    - #### getPoliceNotifiedIndicator

          public ID getPoliceNotifiedIndicator()

      Retrieves the Police Notified Indicator. This field indicates the police were notified.
      Returns:
        String - policeNotifiedIndicator

    - #### getDegreeOfPatientLiability

          public NM getDegreeOfPatientLiability()

      Retrieves the Degree of patient liability. This field conveys the amount to which the patient is found to be liable for an accident. The numeric value is given as a percentage value.
      Returns:
        NM - DegreeOfPatientLiability

    - #### setAccidentCode

          public void setAccidentCode(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAccidentCode

          public void setAccidentCode(CWE accidentCode)

      Set the Accident Code.
      Parameters:
        `accidentCode` - Accident Code

    - #### setAccidentDateOrTime

          public void setAccidentDateOrTime(java.lang.String strTime)

      Set the Accident Date Or Time.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setAccidentDateOrTime

          public void setAccidentDateOrTime(DTM accidentDateOrTime)

      Set the Accident Date Or Time.
      Parameters:
        `accidentDateOrTime` - Accident Date Or Time

    - #### setAccidentDeathIndicator

          public void setAccidentDeathIndicator(java.lang.String strAccidentDeathIndicator)

      Set the Accident Death Indicator. This field which indicates whether or not a patient has died as a result of an accident.
      Parameters:
        `strAccidentDeathIndicator` - Used as AccidentDeathIndicator

    - #### setAccidentDeathIndicator

          public void setAccidentDeathIndicator(ID accidentDeathIndicator)

      Set the Accident Death Indicator. This field which indicates whether or not a patient has died as a result of an accident.
      Parameters:
        `accidentDeathIndicator` - Used as AccidentDeathIndicator

    - #### setAccidentDescription

          public void setAccidentDescription(java.lang.String strAccidentDecription)

      Set the Accident Description.
      Parameters:
        `strAccidentDecription` - Used as AccidentDeathIndicator

    - #### setAccidentDescription

          public void setAccidentDescription(ST accidentDescription)

      Set the Accident Description.
      Parameters:
        `accidentDescription` - Used as AccidentDeathIndicator

    - #### setAccidentJobRelatedIndicator

          public void setAccidentJobRelatedIndicator(java.lang.String strAccidentJobRelatedIndicator)

      Set the Accident Job Related Indicator. This field indicates if the accident is related to a job.
      Parameters:
        `strAccidentJobRelatedIndicator` - Used as AccidentJobRelatedIndicator

    - #### setAccidentJobRelatedIndicator

          public void setAccidentJobRelatedIndicator(ID accidentJobRelatedIndicator)

      Set the Accident Job Related Indicator. This field indicates if the accident is related to a job.
      Parameters:
        `accidentJobRelatedIndicator` - Used as AccidentJobRelatedIndicator

    - #### setAccidentLocation

          public void setAccidentLocation(java.lang.String strAccidentLocation)

      Set the Accident Location.
      Parameters:
        `strAccidentLocation` - Used as AccidentLocation.

    - #### setAccidentLocation

          public void setAccidentLocation(ST accidentLocation)

      Set the Accident Location.
      Parameters:
        `accidentLocation` - Used as AccidentLocation.

    - #### setAutoAccidentState

          public void setAutoAccidentState(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Auto Accident State. This field specify the state in which the auto accident occurred.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAutoAccidentState

          public void setAutoAccidentState(CWE autoAccidentState)

      Set the Auto Accident State. This field specify the state in which the auto accident occurred.
      Parameters:
        `autoAccidentState` - Auto Accident State

    - #### setBroughtInBy

          public void setBroughtInBy(java.lang.String strBroughtInBy)

      Set the Brought In By. This field is for the person or organization that brought in the patient.
      Parameters:
        `strBroughtInBy` - Used as BroughtInBy

    - #### setBroughtInBy

          public void setBroughtInBy(ST broughtInBy)

      Set the Brought In By. This field is for the person or organization that brought in the patient.
      Parameters:
        `broughtInBy` - Used as BroughtInBy

    - #### setEnteredBy

          public void setEnteredBy(java.lang.String strIDNumber,
                          FN objFamilyName,
                          java.lang.String strGivenName,
                          java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                          java.lang.String strSuffix,
                          java.lang.String strPrefix,
                          CWE objSourceTable,
                          HD objAssigningAuthority,
                          java.lang.String strNameTypeCode,
                          java.lang.String strIdentifierCheckDigit,
                          java.lang.String strCheckDigitScheme,
                          java.lang.String strIdentifierTypeCode,
                          HD objAssigningFacility,
                          java.lang.String strNameRepresentationCode,
                          CWE objNameContext,
                          java.lang.String strNameAssemblyOrder,
                          java.lang.String strEffectiveDate,
                          java.lang.String strExpirationDate,
                          java.lang.String strProfessionalSuffix,
                          CWE objAssigningJurisdiction,
                          CWE objAssigningAgencyOrDepratment,
                          java.lang.String strSecurityCheck,
                          java.lang.String strSecurityCheckScheme)

      Set the Entered By.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setEnteredBy

          public void setEnteredBy(XCN enteredBy)

      Set the Entered By.
      Parameters:
        `enteredBy` - Entered By.

    - #### setPoliceNotifiedIndicator

          public void setPoliceNotifiedIndicator(java.lang.String strPoloceNotifiedIndicator)

      Set the Police Notified Indicator. This field indicates the police were notified.
      Parameters:
        `strPoloceNotifiedIndicator` - Used as PoloceNotifiedIndicator

    - #### setPoliceNotifiedIndicator

          public void setPoliceNotifiedIndicator(ID policeNotifiedIndicator)

      Set the Police Notified Indicator. This field indicates the police were notified.
      Parameters:
        `policeNotifiedIndicator` - Used as PoloceNotifiedIndicator

    - #### setAccidentAddress

          public void setAccidentAddress(SAD objStreetAddress,
                                java.lang.String strOtherDesignation,
                                java.lang.String strCity,
                                java.lang.String strStateOrProvince,
                                java.lang.String strZipOrPostalCode,
                                java.lang.String strCountry,
                                java.lang.String strAddressType,
                                java.lang.String strOtherGeographicDesignation,
                                CWE objCountyParishCode,
                                CWE objCensusTract,
                                java.lang.String strAddressRepresentationCode,
                                DTM objEffectiveDate,
                                DTM objExpirationDate,
                                CWE objEXpirationReason,
                                java.lang.String strTemporaryIndicator,
                                java.lang.String strBadAddressIndicator,
                                java.lang.String strAddressUsage,
                                java.lang.String strAddressee,
                                java.lang.String strComment,
                                java.lang.String strPreferenceOrder,
                                CWE objProtectionCode,
                                EI objAddressIdentifier)

      Set the Accident Address.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### setAccidentAddress

          public void setAccidentAddress(XAD accidentAddress)

      Set the Accident Address.
      Parameters:
        `accidentAddress` - Accident Address

    - #### setDegreeOfPatientLiability

          public void setDegreeOfPatientLiability(java.lang.String strDegreeOfPatientLiability)

      Set the Degree of patient liability. This field conveys the amount to which the patient is found to be liable for an accident. The numeric value is given as a percentage value.
      Parameters:
        `strDegreeOfPatientLiability` - Degree of patient liability

    - #### setDegreeOfPatientLiability

          public void setDegreeOfPatientLiability(NM objDegreeOfPatientLiability)

      Set the Degree of patient liability. This field conveys the amount to which the patient is found to be liable for an accident. The numeric value is given as a percentage value.
      Parameters:
        `objDegreeOfPatientLiability` - Degree of patient liability

    - #### getDegreeOfPatientliability

          public NM getDegreeOfPatientliability()

      Retrieves the Degree of patient liability. This field conveys the amount to which the patient is found to be liable for an accident. The numeric value is given as a percentage value.
      Returns:
        NM - DegreeOfPatientliability

    - #### setDegreeOfPatientliability

          public void setDegreeOfPatientliability(java.lang.String strAmount)

      Set the Degree of patient liability. This field conveys the amount to which the patient is found to be liable for an accident. The numeric value is given as a percentage value.
      Parameters:
        `strAmount` - This field contains the String Value of Amount.

    - #### setDegreeOfPatientliability

          public void setDegreeOfPatientliability(NM objDegreeOfPatientliability)

      Set the Degree of patient liability. This field conveys the amount to which the patient is found to be liable for an accident. The numeric value is given as a percentage value.
      Parameters:
        `objDegreeOfPatientliability` - Object of Degree of patient liability.

    - #### getAccidentIdentifier

          public ISingleCollection<EI> getAccidentIdentifier()

      Retrieves the Accident Identifier. This field contains the identifier of the accident report assigned by a jurisdiction that is required in the insurance accident claim.
      Returns:
        ISingleCollection - AccidentIdentifier

    - #### addAccidentIdentifier

          public void addAccidentIdentifier(java.lang.String strEntityIdentifier,
                                   java.lang.String strNamespaceId,
                                   java.lang.String strUniversalId,
                                   java.lang.String strUniversalIdType)

      Add the Accident Identifier. This field contains the identifier of the accident report assigned by a jurisdiction that is required in the insurance accident claim.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### addAccidentIdentifier

          public void addAccidentIdentifier(EI objAccidentIdentifier)

      Add the Accident Identifier. This field contains the identifier of the accident report assigned by a jurisdiction that is required in the insurance accident claim.
      Parameters:
        `objAccidentIdentifier` - Object of Accident Identifier.

    - #### setAccidentIdentifier

          public void setAccidentIdentifier(ISingleCollection<EI> objAccidentIdentifierList)

      Set the Accident Identifier.
      Parameters:
        `objAccidentIdentifierList` - List of Accident Identifier.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails